@ECHO OFF
CLS
ECHO Ŀ
ECHO  FiveWin   Compiling a Clipper program for Windows            
ECHO  NOTE: You may specify debug option with /b ie BUILD MyPrg /b 
ECHO 


if A%1 == A GOTO :SYNTAX
if NOT EXIST %1.prg GOTO :NOEXIST

ECHO+
if A%2 == A GOTO :NoDeBug
ECHO Calling the Clipper Compiler With the DeBug Option ON ...
ECHO+
clipper %1 %2 /a/m/n/w/id:\5win\include >>compile.err 
GOTO ErrTest
:NoDeBug
ECHO Calling the Clipper Compiler With the DeBug Option OFF ...
ECHO+
clipper %1 /a/m/n/w/id:\5win\include >>compile.err 
:ErrTest
IF ERRORLEVEL 1 GOTO EXIT

ECHO 
ECHO+

ECHO Calling the Linker...

REM Blinker 3

ECHO+
ECHO Blinker %1  using "TCBrowse.lib' specified ...
ECHO+
BLINKER fi %1 lib TCBrowse @fivewin.lnk  >>linker.err

IF ERRORLEVEL 1 GOTO LINKERROR
ECHO+
ECHO * The Executable file has been successfully created...*
ECHO 
rem  If DLL exists don't compile the resource file!
IF NOT EXIST %1.dll GOTO RCompile
ECHO+
ECHO I found a %1.DLL, so will not compile the resource file
GOTO EXIT
:RCompile
rem  If you have an .rc resource file, compile it and put it in the .exe file
IF EXIST %1.rc ECHO ON
IF EXIST %1.rc RC -K %1.rc  %1.exe
@ECHO OFF
GOTO EXIT

:LINKERROR
ECHO+
ECHO * Oops!  We had link error! *  Check this batch file for path problems
PAUSE
GOTO EXIT

:SYNTAX
ECHO+
ECHO    SYNTAX: Build [Program]     {-- Do NOT specifiy the .prg extension
ECHO    This batch file assumes that the .prg file, the .rc file (if any)
ECHO    and the .exe file all have the same name
GOTO EXIT

:NOEXIST
ECHO+
ECHO The .prg file you specified does not exist in this directory

:EXIT
