**    Last revision: December 19, 1994 at 13:45

#define MB_STANDARD         -1   // Play std speaker sound
#define MB_OK               00   // 0x0000
#define MB_ICONHAND         16   // 0x0010
#define MB_ICONQUESTION     32   // 0x0020
#define MB_ICONEXCLAMATION  48   // 0x0030
#define MB_ICONASTERISK     64   // 0x0040

#define CB_GETCURSEL     ( WM_USER +  7 )
#define CB_ERR                       -1

#include "FiveWin.ch"

CLASS TCComboBox FROM TComboBox

   DATA  cError AS CHAR
   DATA  oGet

   METHOD lValid()
   METHOD varGet()

END CLASS

//----------------------------------------------------------------------------//

METHOD varGet( ) CLASS CTComboBox

   local cRet, nAt := ::SendMsg( CB_GETCURSEL )

   if nAt != CB_ERR
      ::nAt = nAt + 1
      cRet :=  ::aItems[ nAt + 1 ] 
   else
      cRet := GetWindowText( ::hWnd ) 
   endif

return cRet

//----------------------------------------------------------------------------//

METHOD lValid() CLASS TCComboBox
   local lRet := .t.
                   
   // ? "::oGet:VarGet()="+::oGet:VarGet()

   if ValType(::bValid)=="B"
      lRet := Eval( ::bValid, ::oGet  )
      if ValType(lRet)=="L" .and. !lRet
        MessageBeep( MB_ICONEXCLAMATION )
        Tone(100, 3)
        if ValType(::cError) == "C"
          MsgAlert( ::cError, "Invalid Entry" )
        else
          MsgAlert( "Invalid Entry" )
        endif
      else
        lRet := .t.
      endif
   endif
return lRet

//----------------------------------------------------------------------------//
