**    Last revision: February 18, 1995 at 10:13

#include "FiveWin.ch"

#define MB_STANDARD         -1   // Play std speaker sound
#define MB_OK               00   // 0x0000
#define MB_ICONHAND         16   // 0x0010
#define MB_ICONQUESTION     32   // 0x0020
#define MB_ICONEXCLAMATION  48   // 0x0030
#define MB_ICONASTERISK     64   // 0x0040

//----------------------------------------------------//

CLASS TGetEdit FROM TGet

   DATA   cError AS CHAR

   METHOD lValid()

ENDCLASS

//--------------------------------------------------------//

METHOD lValid() CLASS TGetEdit
   local lRet := .t.
                   
   if ::oGet:BadDate
      MessageBeep( MB_ICONEXCLAMATION )
      Tone(100, 3)
      MsgAlert( "Invalid Date", "Invalid Entry" )
      return .f.

   elseif ValType(::bValid)=="B"
      lRet := Eval( ::bValid, ::oGet  )
      if ValType(lRet)=="L" .and. !lRet
        MessageBeep( MB_ICONEXCLAMATION )
        Tone(100, 3)
        if ValType(::cError) == "C"
          MsgAlert( ::cError, "Invalid Entry" )
        else
          MsgAlert( "Invalid Entry" )
        endif
      else
        lRet := .t.
      endif
   endif
return lRet

//--------------------------------------------------------//

